summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--test/libremakepkg-test.sh3
-rw-r--r--test/test-common.sh5
-rwxr-xr-xtest/testenv2
3 files changed, 9 insertions, 1 deletions
diff --git a/test/libremakepkg-test.sh b/test/libremakepkg-test.sh
index 011674a..90cca0b 100644
--- a/test/libremakepkg-test.sh
+++ b/test/libremakepkg-test.sh
@@ -8,6 +8,9 @@ before() {
_before libremakepkg
mkdir -p "$XDG_CONFIG_HOME"/libretools
+
+ echo "BLACKLIST=https://repo.parabolagnulinux.org/docs/blacklist.txt" >"$XDG_CONFIG_HOME"/libretools/libretools.conf
+
echo "CHROOTDIR='$tmpdir/chrootdir'" > "$XDG_CONFIG_HOME"/libretools/chroot.conf
echo "CHROOT='default'" >> "$XDG_CONFIG_HOME"/libretools/chroot.conf
echo "CHROOTEXTRAPKG=()" >> "$XDG_CONFIG_HOME"/libretools/chroot.conf
diff --git a/test/test-common.sh b/test/test-common.sh
index e837498..85c05c5 100644
--- a/test/test-common.sh
+++ b/test/test-common.sh
@@ -1,5 +1,10 @@
#!/bin/bash
+if [[ $HOME == "$(eval echo ~$USER)" ]]; then
+ libremessages error "\$HOME is the default for %s; use testenv: %s" "$USER" "$HOME"
+ exit 1
+fi
+
_before() {
tmpdir="$(mktemp -d --tmpdir "test-$1.XXXXXXXXXXXX")"
stat=0
diff --git a/test/testenv b/test/testenv
index e6f49fb..e6c882f 100755
--- a/test/testenv
+++ b/test/testenv
@@ -33,7 +33,7 @@ make -C .. install DESTDIR=$destdir &>/dev/null || {
cd "$old_pwd"
# Set up the environment
-export PATH="$destdir/usr/bin:$destdir/usr/sbin:$PATH"
+export PATH="$destdir/usr/bin:$PATH"
export LIBRETOOLS_LIBDIR="$destdir/usr/lib/libretools"
export HOME=$TMPDIR/home
export XDG_CACHE_HOME="$HOME/.cache"